<template>
  <el-container class="zhc-birt-form-sheet" :style="confStyle" :class="confClass">
    <el-main >
      <birt-cell-children v-if="conf.children" :children="conf.children"/>
    </el-main>
  </el-container>
</template>

<script>
import autosize from "@birt/components/mixins/autosize";

export default {
  name: "birt-form-sheet",
  mixins: [autosize],
  props: {
    conf: {
      type: Object,
      default: function() {
        return {};
      }
    }
  },
  data() {
    return {};
  },
  computed: {
    width() {
      return this.conf.width;
    },
    height() {
      return this.conf.height;
    },
    confStyle() {
      return `${this.autoSizeStyle()};${this.conf.style};`;
    },
    confClass() {
      return this.conf.class
    }
  },
  methods: {}
};
</script>

<style lang="scss" scoped>
</style>